using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace N2
{
    class Program
    {
        static void Main(string[] args)
        {
            int[] array = new int[4];
            try
            {
                array[4] = 1;
            }
            catch (IndexOutOfRangeException e)
            {
                Console.WriteLine(e.Message);
            }
            finally
            {
                Console.WriteLine("Finally Statement.");
                Console.Read();
            }
        }
    }
}
